### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface RemoteResultSetInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `RemoteResultSet`

@SASScope("ALL") @BinaryCompatibilityOnly public interface RemoteResultSetInterface extends Remote
Remotable interface corresponding to `java.sql.ResultSet`. This interface duplicates the methods of `java.sql.ResultSet`. Objects implementing this interface may be accessed remotely directly using this interface.

Since:
  1.0
See Also:
  - `ResultSet`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `absolute(int row)`
  Moves the cursor to the given row number in this `ResultSet` object.
  `void`
  `afterLast()`
  Moves the cursor to the end of this `ResultSet` object, just after the last row.
  `void`
  `beforeFirst()`
  Moves the cursor to the front of this ResultSet object, just before the first row.
  `void`
  `cancelRowUpdates()`
  Cancels the updates made to the current row in this `ResultSet` object.
  `void`
  `clearWarnings()`
  Clears all warnings reported on this `ResultSet` object.
  `void`
  `close()`
  Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.
  `void`
  `deleteRow()`
  Deletes the current row from this `ResultSet` object and from the underlying database.
  `int`
  `findColumn(String columnLabel)`
  Maps the given `ResultSet` column name to its `ResultSet` column index.
  `boolean`
  `first()`
  Moves the cursor to the first row in this `ResultSet` object.
  `Array`
  `getArray(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
  `Array`
  `getArray(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
  `InputStream`
  `getAsciiStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object a stream of ASCII characters.
  `InputStream`
  `getAsciiStream(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters.
  `BigDecimal`
  `getBigDecimal(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
  `BigDecimal`
  `getBigDecimal(int columnIndex, int scale)`
  Deprecated.
  `BigDecimal`
  `getBigDecimal(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
  `BigDecimal`
  `getBigDecimal(String columnLabel, int scale)`
  Deprecated.
  `InputStream`
  `getBinaryStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a binary stream of uninterpreted bytes.
  `InputStream`
  `getBinaryStream(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted bytes.
  `Blob`
  `getBlob(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
  `Blob`
  `getBlob(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
  `boolean`
  `getBoolean(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
  `boolean`
  `getBoolean(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
  `byte`
  `getByte(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` in the Java programming language.
  `byte`
  `getByte(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `byte[]`
  `getBytes(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `byte[]`
  `getBytes(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
  `Reader`
  `getCharacterStream(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
  `Reader`
  `getCharacterStream(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
  `Clob`
  `getClob(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
  `Clob`
  `getClob(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
  `int`
  `getConcurrency()`
  Returns the concurrency mode of this `ResultSet` object.
  `String`
  `getCursorName()`
  Gets the name of the SQL cursor used by this `ResultSet` object.
  `Date`
  `getDate(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `Date`
  `getDate(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `Date`
  `getDate(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language..
  `Date`
  `getDate(String columnLabel, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
  `double`
  `getDouble(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
  `double`
  `getDouble(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
  `int`
  `getFetchDirection()`
  Returns the fetch direction for this `ResultSet` object.
  `int`
  `getFetchSize()`
  Returns the fetch size for this `ResultSet` object.
  `float`
  `getFloat(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
  `float`
  `getFloat(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
  `int`
  `getHoldability()`
  Retrieves the holdability of this ResultSet object .
  `int`
  `getInt(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `int` in the Java programming language.
  `int`
  `getInt(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `int` in the Java programming language.
  `long`
  `getLong(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
  `long`
  `getLong(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
  `ResultSetMetaData`
  `getMetaData()`
  Retrieves the number, types and properties of this `ResultSet` object's columns.
  `Reader`
  `getNCharacterStream(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
  `Reader`
  `getNCharacterStream(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
  `NClob`
  `getNClob(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
  `NClob`
  `getNClob(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
  `String`
  `getNString(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
  `String`
  `getNString(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
  `Object`
  `getObject(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.
  `Object`
  `getObject(int columnIndex, Map<String,Class<?>> map)`
  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
  `Object`
  `getObject(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.
  `Object`
  `getObject(String columnLabel, Map<String,Class<?>> map)`
  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
  `Ref`
  `getRef(int i)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `Ref`
  `getRef(String colName)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
  `int`
  `getRow()`
  Retrieves the current row number.
  `RowId`
  `getRowId(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
  `RowId`
  `getRowId(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
  `short`
  `getShort(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
  `short`
  `getShort(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
  `SQLXML`
  `getSQLXML(int columnIndex)`
  Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
  `SQLXML`
  `getSQLXML(String columnLabel)`
  Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
  `Statement`
  `getStatement()`
  Returns the `Statement` object that produced this `ResultSet` object.
  `String`
  `getString(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language.
  `String`
  `getString(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language..
  `Time`
  `getTime(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Time`
  `getTime(String columnLabel, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
  `Timestamp`
  `getTimestamp(int columnIndex)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(int columnIndex, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(String columnLabel)`
  Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `Timestamp`
  `getTimestamp(String columnLabel, Calendar cal)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
  `int`
  `getType()`
  Returns the type of this `ResultSet` object.
  `InputStream`
  `getUnicodeStream(int columnIndex)`
  Deprecated.
  `InputStream`
  `getUnicodeStream(String columnLabel)`
  Deprecated.
  `URL`
  `getURL(int columnIndex)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
  `URL`
  `getURL(String columnLabel)`
  Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
  `SQLWarning`
  `getWarnings()`
  Returns the first warning reported by calls on this `ResultSet` object.
  `void`
  `insertRow()`
  Inserts the contents of the insert row into this `ResultSet` object and into the database.
  `boolean`
  `isAfterLast()`
  Indicates whether the cursor is after the last row in this `ResultSet` object
  `boolean`
  `isBeforeFirst()`
  Indicates whether the cursor is before the first row in this `ResultSet` object
  `boolean`
  `isClosed()`
  Retrieves whether this ResultSet object has been closed.
  `boolean`
  `isFirst()`
  Indicates whether the cursor is on the first row of this `ResultSet` object.
  `boolean`
  `isLast()`
  Indicates whether the cursor is on the last row of this `ResultSet` object.
  `boolean`
  `isWrapperFor(Class<?> iface)`
  Returns true if this either implements the interface argument or is directly or indirectly a wrapper for an object that does.
  `boolean`
  `last()`
  Moves the cursor to the last row in this `ResultSet` object.
  `void`
  `moveToCurrentRow()`
  Moves the cursor to the remembered cursor position, usually the current row.
  `void`
  `moveToInsertRow()`
  Moves the cursor to the insert row.
  `boolean`
  `next()`
  Moves the cursor down one row from its current position.
  `boolean`
  `previous()`
  Moves the cursor to the previous row in this `ResultSet` object.
  `void`
  `refreshRow()`
  Refreshes the current row with its most recent value in the database.
  `boolean`
  `relative(int rows)`
  Moves the cursor a relative number of rows, either positive or negative.
  `boolean`
  `rowDeleted()`
  Indicates whether a row has been deleted.
  `boolean`
  `rowInserted()`
  Indicates whether the current row has had an insertion.
  `boolean`
  `rowUpdated()`
  Indicates whether the current row has been updated.
  `void`
  `setFetchDirection(int direction)`
  Gives a hint as to the direction in which the rows in this `ResultSet` object will be processed.
  `void`
  `setFetchSize(int rows)`
  Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this `ResultSet` object.
  `<T> T`
  `unwrap(Class<T> iface)`
  Returns an object that implements the given interface to allow access to non-standard methods, or standard methods not exposed by the proxy.
  `void`
  `updateArray(int columnIndex, Array x)`
  Updates the designated column with a `java.sql.Array` value.
  `void`
  `updateArray(String columnLabel, Array x)`
  Updates the designated column with a `java.sql.Array` value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x, int length)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(int columnIndex, InputStream x, long length)`
  Updates the designated column with an ascii stream value, which will have the specified number of bytes.
  `void`
  `updateAsciiStream(String columnLabel, InputStream x)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(String columnLabel, InputStream x, int length)`
  Updates the designated column with an ascii stream value.
  `void`
  `updateAsciiStream(String columnLabel, InputStream x, long length)`
  Updates the designated column with an ascii stream value, which will have the specified number of bytes.
  `void`
  `updateBigDecimal(int columnIndex, BigDecimal x)`
  Updates the designated column with a `java.math.BigDecimal` value.
  `void`
  `updateBigDecimal(String columnLabel, BigDecimal x)`
  Updates the designated column with a `java.math.BigDecimal` value.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x, int length)`
  Updates the designated column with a binary stream value.
  `void`
  `updateBinaryStream(int columnIndex, InputStream x, long length)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(String columnLabel, InputStream x)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBinaryStream(String columnLabel, InputStream x, int length)`
  Updates the designated column with a binary stream value.
  `void`
  `updateBinaryStream(String columnLabel, InputStream x, long length)`
  Updates the designated column with a binary stream value, which will have the specified number of bytes.
  `void`
  `updateBlob(int columnIndex, InputStream inputStream)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(int columnIndex, InputStream inputStream, long length)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(int columnIndex, Blob x)`
  Updates the designated column with a `java.sql.Blob` value.
  `void`
  `updateBlob(String columnLabel, InputStream inputStream)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(String columnLabel, InputStream inputStream, long length)`
  Updates the designated column with a java.sql.Blob value.
  `void`
  `updateBlob(String columnLabel, Blob x)`
  Updates the designated column with a `java.sql.Blob` value.
  `void`
  `updateBoolean(int columnIndex, boolean x)`
  Updates the designated column with a `boolean` value.
  `void`
  `updateBoolean(String columnLabel, boolean x)`
  Updates the designated column with a `boolean` value.
  `void`
  `updateByte(int columnIndex, byte x)`
  Updates the designated column with a `byte` value.
  `void`
  `updateByte(String columnLabel, byte x)`
  Updates the designated column with a `byte` value.
  `void`
  `updateBytes(int columnIndex, byte[] x)`
  Updates the designated column with a `byte` array value.
  `void`
  `updateBytes(String columnLabel, byte[] x)`
  Updates the designated column with a `byte` array value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x, int length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(int columnIndex, Reader x, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnLabel, Reader reader)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnLabel, Reader x, int length)`
  Updates the designated column with a character stream value.
  `void`
  `updateCharacterStream(String columnLabel, Reader reader, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateClob(int columnIndex, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(int columnIndex, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(int columnIndex, Clob x)`
  Updates the designated column with a `java.sql.Clob` value.
  `void`
  `updateClob(String columnLabel, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(String columnLabel, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateClob(String columnLabel, Clob x)`
  Updates the designated column with a `java.sql.Clob` value.
  `void`
  `updateDate(int columnIndex, Date x)`
  Updates the designated column with a `java.sql.Date` value.
  `void`
  `updateDate(String columnLabel, Date x)`
  Updates the designated column with a `java.sql.Date` value.
  `void`
  `updateDouble(int columnIndex, double x)`
  Updates the designated column with a `double` value.
  `void`
  `updateDouble(String columnLabel, double x)`
  Updates the designated column with a `double` value.
  `void`
  `updateFloat(int columnIndex, float x)`
  Updates the designated column with a `float` value.
  `void`
  `updateFloat(String columnLabel, float x)`
  Updates the designated column with a `float` value.
  `void`
  `updateInt(int columnIndex, int x)`
  Updates the designated column with an `int` value.
  `void`
  `updateInt(String columnLabel, int x)`
  Updates the designated column with an `int` value.
  `void`
  `updateLong(int columnIndex, long x)`
  Updates the designated column with a `long` value.
  `void`
  `updateLong(String columnLabel, long x)`
  Updates the designated column with a `long` value.
  `void`
  `updateNCharacterStream(int columnIndex, Reader x)`
  `void`
  `updateNCharacterStream(int columnIndex, Reader x, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateNCharacterStream(String columnLabel, Reader reader)`
  Updates the designated column with a character stream value.
  `void`
  `updateNCharacterStream(String columnLabel, Reader reader, long length)`
  Updates the designated column with a character stream value.
  `void`
  `updateNClob(int columnIndex, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(int columnIndex, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(int columnIndex, NClob clob)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, Reader reader)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, Reader reader, long length)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNClob(String columnLabel, NClob clob)`
  Updates the designated column using the given Reader object.
  `void`
  `updateNString(int columnIndex, String string)`
  Updates the designated column with a String value.
  `void`
  `updateNString(String columnLabel, String string)`
  Updates the designated column with a String value.
  `void`
  `updateNull(int columnIndex)`
  Gives a nullable column a null value.
  `void`
  `updateNull(String columnLabel)`
  Updates the designated column with a `null` value.
  `void`
  `updateObject(int columnIndex, Object x)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(int columnIndex, Object x, int scale)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(String columnLabel, Object x)`
  Updates the designated column with an `Object` value.
  `void`
  `updateObject(String columnLabel, Object x, int scale)`
  Updates the designated column with an `Object` value.
  `void`
  `updateRef(int columnIndex, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  `updateRef(String columnLabel, Ref x)`
  Updates the designated column with a `java.sql.Ref` value.
  `void`
  `updateRow()`
  Updates the underlying database with the new contents of the current row of this `ResultSet` object.
  `void`
  `updateRowId(int columnIndex, RowId x)`
  Updates the designated column with a RowId value.
  `void`
  `updateRowId(String columnLabel, RowId x)`
  Updates the designated column with a RowId value.
  `void`
  `updateShort(int columnIndex, short x)`
  Updates the designated column with a `short` value.
  `void`
  `updateShort(String columnLabel, short x)`
  Updates the designated column with a `short` value.
  `void`
  `updateSQLXML(int columnIndex, SQLXML xmlObject)`
  Updates the designated column with a java.sql.SQLXML value.
  `void`
  `updateSQLXML(String columnLabel, SQLXML xmlObject)`
  Updates the designated column with a java.sql.SQLXML value.
  `void`
  `updateString(int columnIndex, String x)`
  Updates the designated column with a `String` value.
  `void`
  `updateString(String columnLabel, String x)`
  Updates the designated column with a `String` value.
  `void`
  `updateTime(int columnIndex, Time x)`
  Updates the designated column with a `java.sql.Time` value.
  `void`
  `updateTime(String columnLabel, Time x)`
  Updates the designated column with a `java.sql.Time` value.
  `void`
  `updateTimestamp(int columnIndex, Timestamp x)`
  Updates the designated column with a `java.sql.Timestamp` value.
  `void`
  `updateTimestamp(String columnLabel, Timestamp x)`
  Updates the designated column with a `java.sql.Timestamp` value.
  `boolean`
  `wasNull()`
  Reports whether the last column read had a value of SQL `NULL`.

- ## Method Details

  - ### next

    boolean next() throws SQLException, RemoteException
    Moves the cursor down one row from its current position. A `ResultSet` cursor is initially positioned before the first row; the first call to the method next makes the first row the current row; the second call makes the second row the current row, and so on.

    If an input stream is open for the current row, a call to the method `next` will implicitly close it. A `ResultSet` object's warning chain is cleared when a new row is read.

    Returns:
      `true` if the new current row is valid; `false` if there are no more rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.next()`

  - ### close

    void close() throws SQLException, RemoteException
    Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.

    Note: A `ResultSet` object is automatically closed by the `Statement` object that generated it when that `Statement` object is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A `ResultSet` object is also automatically closed when its garbage collected.

    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.close()`

  - ### wasNull

    boolean wasNull() throws SQLException, RemoteException
    Reports whether the last column read had a value of SQL `NULL`. Note that you must first call one of the `getXXX` methods on a column to try to read its value and then call the method `wasNull` to see if the value read was SQL `NULL`.
    Returns:
      `true` if the last column value read was SQL `NULL` and `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.wasNull()`

  - ### getString

    String getString(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getString(int)`

  - ### getBoolean

    boolean getBoolean(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is false
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBoolean(int)`

  - ### getByte

    byte getByte(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getByte(int)`

  - ### getShort

    short getShort(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getShort(int)`

  - ### getInt

    int getInt(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `int` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getInt(int)`

  - ### getLong

    long getLong(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getLong(int)`

  - ### getDouble

    double getDouble(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDouble(int)`

  - ### getFloat

    float getFloat(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is 0
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFloat(int)`

  - ### getBigDecimal

    BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException, RemoteException
    Deprecated.
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `scale` - the number of digits to the right of the decimal point
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(int, int)`

  - ### getBytes

    byte[] getBytes(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language. The bytes represent the raw values returned by the driver.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBytes(int)`

  - ### getDate

    Date getDate(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(int)`

  - ### getTime

    Time getTime(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(int)`

  - ### getTimestamp

    Timestamp getTimestamp(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is null
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(int)`

  - ### getAsciiStream

    InputStream getAsciiStream(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into ASCII.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of one-byte ASCII characters; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getAsciiStream(int)`

  - ### getUnicodeStream

    InputStream getUnicodeStream(int columnIndex) throws SQLException, RemoteException
    Deprecated.
    This method has been deprecated. Deprecated. use getCharacterStream in place of getUnicodeStream

    Gets the value of a column in the current row as a stream of Gets the value of the designated column in the current row of this `ResultSet` object as as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must be Java UTF-8, as specified in the Java virtual machine specification.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getUnicodeStream(int)`

  - ### getBinaryStream

    InputStream getBinaryStream(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a binary stream of uninterpreted bytes. The value can be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARBINARY` values.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return 0 when the method `InputStream.available` is called whether there is data available or not.

    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a Java input stream that delivers the database column value as a stream of uninterpreted bytes; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBinaryStream(int)`

  - ### getString

    String getString(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `String` in the Java programming language..
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if teh value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getString(java.lang.String)`

  - ### getBoolean

    boolean getBoolean(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `boolean` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `false`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBoolean(java.lang.String)`

  - ### getByte

    byte getByte(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getByte(java.lang.String)`

  - ### getShort

    short getShort(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `short` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getShort(java.lang.String)`

  - ### getInt

    int getInt(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as an `int` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getInt(java.lang.String)`

  - ### getLong

    long getLong(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `long` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getLong(java.lang.String)`

  - ### getDouble

    double getDouble(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `double` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDouble(java.lang.String)`

  - ### getFloat

    float getFloat(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `float` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `0`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFloat(java.lang.String)`

  - ### getBigDecimal

    BigDecimal getBigDecimal(String columnLabel, int scale) throws SQLException, RemoteException
    Deprecated.
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `scale` - the number of digits to the right of the decimal point
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(java.lang.String, int)`

  - ### getBytes

    byte[] getBytes(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `byte` array in the Java programming language. The bytes represent the raw values returned by the driver.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBytes(java.lang.String)`

  - ### getDate

    Date getDate(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language..
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(java.lang.String)`

  - ### getTime

    Time getTime(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(java.lang.String)`

  - ### getTimestamp

    Timestamp getTimestamp(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL `NULL`, the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(java.lang.String)`

  - ### getAsciiStream

    InputStream getAsciiStream(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into ASCII.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of one-byte ASCII characters. If the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getAsciiStream(java.lang.String)`

  - ### getUnicodeStream

    InputStream getUnicodeStream(String columnLabel) throws SQLException, RemoteException
    Deprecated.
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARCHAR` values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must be Java UTF-8, as defined in the Java virtual machine specification.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL `NULL`, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getUnicodeStream(java.lang.String)`

  - ### getBinaryStream

    InputStream getBinaryStream(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a stream of uninterpreted bytes. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large `LONGVARBINARY` values.

    Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a `getXXX` method implicitly closes the stream. Also, a stream may return `0` when the method `available` is called whether there is data available or not.

    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a Java input stream that delivers the database column value as a stream of uninterpreted bytes; if the value is SQL `NULL`, the result is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBinaryStream(java.lang.String)`

  - ### getWarnings

    SQLWarning getWarnings() throws SQLException, RemoteException
    Returns the first warning reported by calls on this `ResultSet` object. Subsequent warnings on this `ResultSet` object will be chained to the `SQLWarning` object that this method returns.

    The warning chain is automatically cleared each time a new row is read.

    Note: This warning chain only covers warnings caused by `ResultSet` methods. Any warning caused by `Statement` methods (such as reading OUT parameters) will be chained on the `Statement` object.

    Returns:
      the first `SQLWarning` object reported or `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getWarnings()`

  - ### clearWarnings

    void clearWarnings() throws SQLException, RemoteException
    Clears all warnings reported on this `ResultSet` object. After this method is called, the method `getWarnings` returns `null` until a new warning is reported for this `ResultSet` object.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.clearWarnings()`

  - ### getCursorName

    String getCursorName() throws SQLException, RemoteException
    Gets the name of the SQL cursor used by this `ResultSet` object.

    In SQL, a result table is retrieved through a cursor that is named. The current row of a result set can be updated or deleted using a positioned update/delete statement that references the cursor name. To insure that the cursor has the proper isolation level to support update, the cursor's `select` statement should be of the form 'select for update'. If the 'for update' clause is omitted, the positioned updates may fail.

    The JDBC API supports this SQL feature by providing the name of the SQL cursor used by a `ResultSet` object. The current row of a `ResultSet` object is also the current row of this SQL cursor.

    Note: If positioned update is not supported, a `SQLException` is thrown.

    Returns:
      the SQL name for this `ResultSet` object's cursor
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCursorName()`

  - ### getMetaData

    ResultSetMetaData getMetaData() throws SQLException, RemoteException
    Retrieves the number, types and properties of this `ResultSet` object's columns.
    Returns:
      the description of this `ResultSet` object's columns
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getMetaData()`

  - ### getObject

    Object getObject(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.

    This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC specification.

    This method may also be used to read datatabase-specific abstract data types. In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When a column contains a structured or distinct value, the behavior of this method is as if it were a call to: `getObject(columnIndex, this.getStatement().getConnection().getTypeMap())`.

    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a `java.lang.Object` holding the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getObject(int)`

  - ### getObject

    Object getObject(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as an `Object` in the Java programming language.

    This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC specification.

    This method may also be used to read datatabase-specific abstract data types. In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When a column contains a structured or distinct value, the behavior of this method is as if it were a call to: `getObject(columnIndex, this.getStatement().getConnection().getTypeMap())`.

    Parameters:
      `columnLabel` - the SQL name of the column
    Returns:
      a `java.lang.Object` holding the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getObject(java.lang.String)`

  - ### findColumn

    int findColumn(String columnLabel) throws SQLException, RemoteException
    Maps the given `ResultSet` column name to its `ResultSet` column index.
    Parameters:
      `columnLabel` - the name of the column
    Returns:
      the column index of the given column name
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.findColumn(java.lang.String)`

  - ### getCharacterStream

    Reader getCharacterStream(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCharacterStream(int)`

  - ### getCharacterStream

    Reader getCharacterStream(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.io.Reader` object.
    Parameters:
      `columnLabel` - the name of the column
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getCharacterStream(java.lang.String)`

  - ### getBigDecimal

    BigDecimal getBigDecimal(int columnIndex) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Returns:
      the column value (full precision); if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(int)`

  - ### getBigDecimal

    BigDecimal getBigDecimal(String columnLabel) throws SQLException, RemoteException
    Gets the value of the designated column in the current row of this `ResultSet` object as a `java.math.BigDecimal` with full precision.
    Parameters:
      `columnLabel` - the column name
    Returns:
      the column value (full precision); if the value is SQL `NULL`, the value returned is `null` in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBigDecimal(java.lang.String)`

  - ### isBeforeFirst

    boolean isBeforeFirst() throws SQLException, RemoteException
    Indicates whether the cursor is before the first row in this `ResultSet` object
    Returns:
      `true` if the cursor is before the first row; `false` if the cursor is at any other position or the result set contains no rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isBeforeFirst()`

  - ### isAfterLast

    boolean isAfterLast() throws SQLException, RemoteException
    Indicates whether the cursor is after the last row in this `ResultSet` object
    Returns:
      `true` if the cursor is after the last row; `false` if the cursor is at any other position or the result set contains no rows
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isAfterLast()`

  - ### isFirst

    boolean isFirst() throws SQLException, RemoteException
    Indicates whether the cursor is on the first row of this `ResultSet` object.
    Returns:
      `true` if the cursor is on the first row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isFirst()`

  - ### isLast

    boolean isLast() throws SQLException, RemoteException
    Indicates whether the cursor is on the last row of this `ResultSet` object. Note: Calling this method `isLast` may be expensive because the JDBC drive might need to fetch ahead one row in order to determine whether the current row is the last rown in the result set.
    Returns:
      `true` if the cursor is on the last row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.isLast()`

  - ### beforeFirst

    void beforeFirst() throws SQLException, RemoteException
    Moves the cursor to the front of this ResultSet object, just before the first row. This method has no effect if the result set contains no rows.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.beforeFirst()`

  - ### afterLast

    void afterLast() throws SQLException, RemoteException
    Moves the cursor to the end of this `ResultSet` object, just after the last row. This method has no effect if the result set contains no rows.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.afterLast()`

  - ### first

    boolean first() throws SQLException, RemoteException
    Moves the cursor to the first row in this `ResultSet` object.
    Returns:
      `true` if the cursor is on a valid row; `false` if there are no rows in the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.first()`

  - ### last

    boolean last() throws SQLException, RemoteException
    Moves the cursor to the last row in this `ResultSet` object.
    Returns:
      `true` if the cursor is on a valid row; `false` if there are no rows in the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.last()`

  - ### getRow

    int getRow() throws SQLException, RemoteException
    Retrieves the current row number. The first row is number 1, the second number 2, and so on.
    Returns:
      the current row number; `0` if there is no current row
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRow()`

  - ### absolute

    boolean absolute(int row) throws SQLException, RemoteException
    Moves the cursor to the given row number in this `ResultSet` object.

    If the row number is positive, the cursor moves to the given row number with respect to the beginning of the result set. The first row is row 1, the second is row 2, and so on.

    If the given row number is negative, the cursor moves to an absolute row position with respect to the end of the result set. For example, calling the method `absolute(-1)` positions the cursor on the last row; calling the method `absolute(-2)` moves the cursor to the next-to-last row, and so on.

    An attempt to position the cursor beyond the first/last row in the result set leaves the cursor before the first row or after the last row.

    Note: Calling `absolute(1)` is the same as calling `first()`. Calling `absolute(-1)` is the same as calling `last()`.

    Returns:
      `true` if the cursor is on the result set; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.absolute(int)`

  - ### relative

    boolean relative(int rows) throws SQLException, RemoteException
    Moves the cursor a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling `relative(0)` is valid, but does not change the cursor position.

    Note: Calling the method `relative(1)` is different from calling the method `next()` because is makes sense to call `next()` when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

    Returns:
      `true` if the cursor is on a row; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.relative(int)`

  - ### previous

    boolean previous() throws SQLException, RemoteException
    Moves the cursor to the previous row in this `ResultSet` object.

    Note: Calling the method `previous()` is not the same as calling the method `relative(-1)` because it makes sense to call `previous()` when there is no current row.

    Returns:
      `true` if the cursor is on a valid row; `false` if it is off the result set
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.previous()`

  - ### setFetchDirection

    void setFetchDirection(int direction) throws SQLException, RemoteException
    Gives a hint as to the direction in which the rows in this `ResultSet` object will be processed. The initial value is determined by the `Statement` object that produced this `ResultSet` object. The fetch direction may be changed at any time.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.setFetchDirection(int)`

  - ### getFetchDirection

    int getFetchDirection() throws SQLException, RemoteException
    Returns the fetch direction for this `ResultSet` object.
    Returns:
      the current fetch direction for this `ResultSet` object
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFetchDirection()`

  - ### setFetchSize

    void setFetchSize(int rows) throws SQLException, RemoteException
    Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this `ResultSet` object. If the fetch size specified is zero, the JDBC driver ignores the value and is free to make its own best guess as to what the fetch size should be. The default value is set by the `Statement` object that created the result set. The fetch size may be changed at any time.
    Parameters:
      `rows` - the number of rows to fetch
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.setFetchSize(int)`

  - ### getFetchSize

    int getFetchSize() throws SQLException, RemoteException
    Returns the fetch size for this `ResultSet` object.
    Returns:
      the current fetch size for this `ResultSet` object
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getFetchSize()`

  - ### getType

    int getType() throws SQLException, RemoteException
    Returns the type of this `ResultSet` object. The type is determined by the `Statement` object that created the result set.
    Returns:
      `TYPE_FORWARD_ONLY`, `TYPE_SCROLL_INSENSITIVE`, or `TYPE_SCROLL_SENSITIVE`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getType()`

  - ### getConcurrency

    int getConcurrency() throws SQLException, RemoteException
    Returns the concurrency mode of this `ResultSet` object. The concurrency used is determined by the `Statement` object that created the result set.
    Returns:
      the concurrency type, either `CONCUR_READ_ONLY` or `CONCUR_UPDATABLE`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getConcurrency()`

  - ### rowUpdated

    boolean rowUpdated() throws SQLException, RemoteException
    Indicates whether the current row has been updated. The value returned depends on whether or not the result set can detect updates.
    Returns:
      `true` if the row has been visibly updated by the owner or another, and updates are detected
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowUpdated()`

  - ### rowInserted

    boolean rowInserted() throws SQLException, RemoteException
    Indicates whether the current row has had an insertion. The value returned depends on whether or not this `ResultSet` object can detect visible inserts.
    Returns:
      `true` if a row has had an insertion and insertions are detected; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowInserted()`

  - ### rowDeleted

    boolean rowDeleted() throws SQLException, RemoteException
    Indicates whether a row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not this `ResultSet` object can detect deletions.
    Returns:
      `true` if a row was deleted and deletions are detected; `false` otherwise
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.rowDeleted()`

  - ### updateNull

    void updateNull(int columnIndex) throws SQLException, RemoteException
    Gives a nullable column a null value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateNull(int)`

  - ### updateBoolean

    void updateBoolean(int columnIndex, boolean x) throws SQLException, RemoteException
    Updates the designated column with a `boolean` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBoolean(int, boolean)`

  - ### updateByte

    void updateByte(int columnIndex, byte x) throws SQLException, RemoteException
    Updates the designated column with a `byte` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateByte(int, byte)`

  - ### updateShort

    void updateShort(int columnIndex, short x) throws SQLException, RemoteException
    Updates the designated column with a `short` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateShort(int, short)`

  - ### updateInt

    void updateInt(int columnIndex, int x) throws SQLException, RemoteException
    Updates the designated column with an `int` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateInt(int,int)`

  - ### updateLong

    void updateLong(int columnIndex, long x) throws SQLException, RemoteException
    Updates the designated column with a `long` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateLong(int, long)`

  - ### updateFloat

    void updateFloat(int columnIndex, float x) throws SQLException, RemoteException
    Updates the designated column with a `float` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateFloat(int, float)`

  - ### updateDouble

    void updateDouble(int columnIndex, double x) throws SQLException, RemoteException
    Updates the designated column with a `double` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDouble(int, double)`

  - ### updateBigDecimal

    void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException, RemoteException
    Updates the designated column with a `java.math.BigDecimal` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBigDecimal(int, java.math.BigDecimal)`

  - ### updateString

    void updateString(int columnIndex, String x) throws SQLException, RemoteException
    Updates the designated column with a `String` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateString(int, java.lang.String)`

  - ### updateBytes

    void updateBytes(int columnIndex, byte[] x) throws SQLException, RemoteException
    Updates the designated column with a `byte` array value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBytes(int, byte[])`

  - ### updateDate

    void updateDate(int columnIndex, Date x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Date` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDate(int, java.sql.Date)`

  - ### updateTime

    void updateTime(int columnIndex, Time x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Time` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTime(int, java.sql.Time)`

  - ### updateTimestamp

    void updateTimestamp(int columnIndex, Timestamp x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Timestamp` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTimestamp(int, java.sql.Timestamp)`

  - ### updateAsciiStream

    void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateAsciiStream(int, java.io.InputStream, int)`

  - ### updateBinaryStream

    void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException, RemoteException
    Updates the designated column with a binary stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBinaryStream(int, InputStream, int)`

  - ### updateCharacterStream

    void updateCharacterStream(int columnIndex, Reader x, int length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateCharacterStream(int, java.io.Reader, int)`

  - ### updateObject

    void updateObject(int columnIndex, Object x, int scale) throws SQLException, RemoteException
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
      `scale` - for `java.sql.Types.DECIMA` or `java.sql.Types.NUMERIC` types, this is the number of digits after the decimal point. For all other types this value will be ignored.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(int, java.lang.Object, int)`

  - ### updateObject

    void updateObject(int columnIndex, Object x) throws SQLException, RemoteException
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(int, java.lang.Object)`

  - ### updateNull

    void updateNull(String columnLabel) throws SQLException, RemoteException
    Updates the designated column with a `null` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateNull(java.lang.String)`

  - ### updateBoolean

    void updateBoolean(String columnLabel, boolean x) throws SQLException, RemoteException
    Updates the designated column with a `boolean` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBoolean(java.lang.String, boolean)`

  - ### updateShort

    void updateShort(String columnLabel, short x) throws SQLException, RemoteException
    Updates the designated column with a `short` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateShort(java.lang.String, short)`

  - ### updateByte

    void updateByte(String columnLabel, byte x) throws SQLException, RemoteException
    Updates the designated column with a `byte` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateByte(java.lang.String, byte)`

  - ### updateInt

    void updateInt(String columnLabel, int x) throws SQLException, RemoteException
    Updates the designated column with an `int` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateInt(java.lang.String, int)`

  - ### updateLong

    void updateLong(String columnLabel, long x) throws SQLException, RemoteException
    Updates the designated column with a `long` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateLong(java.lang.String, long)`

  - ### updateFloat

    void updateFloat(String columnLabel, float x) throws SQLException, RemoteException
    Updates the designated column with a `float` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateFloat(java.lang.String,float)`

  - ### updateDouble

    void updateDouble(String columnLabel, double x) throws SQLException, RemoteException
    Updates the designated column with a `double` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDouble(java.lang.String, double)`

  - ### updateBigDecimal

    void updateBigDecimal(String columnLabel, BigDecimal x) throws SQLException, RemoteException
    Updates the designated column with a `java.math.BigDecimal` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBigDecimal(java.lang.String, java.math.BigDecimal)`

  - ### updateString

    void updateString(String columnLabel, String x) throws SQLException, RemoteException
    Updates the designated column with a `String` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateString(java.lang.String, java.lang.String)`

  - ### updateBytes

    void updateBytes(String columnLabel, byte[] x) throws SQLException, RemoteException
    Updates the designated column with a `byte` array value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBytes(java.lang.String, byte[])`

  - ### updateDate

    void updateDate(String columnLabel, Date x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Date` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateDate(java.lang.String, java.sql.Date)`

  - ### updateTime

    void updateTime(String columnLabel, Time x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Time` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTime(java.lang.String, java.sql.Time)`

  - ### updateTimestamp

    void updateTimestamp(String columnLabel, Timestamp x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Timestamp` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateTimestamp(java.lang.String, java.sql.Timestamp)`

  - ### updateAsciiStream

    void updateAsciiStream(String columnLabel, InputStream x, int length) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateAsciiStream(java.lang.String,java.io.InputStream, int)`

  - ### updateBinaryStream

    void updateBinaryStream(String columnLabel, InputStream x, int length) throws SQLException, RemoteException
    Updates the designated column with a binary stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBinaryStream(java.lang.String,java.io.InputStream, int)`

  - ### updateCharacterStream

    void updateCharacterStream(String columnLabel, Reader x, int length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateCharacterStream(java.lang.String,java.io.Reader, int)`

  - ### updateObject

    void updateObject(String columnLabel, Object x, int scale) throws SQLException, RemoteException
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
      `scale` - for `java.sql.Types.DECIMA` or `java.sql.Types.NUMERIC` types, this is the number of digits after the decimal point. For all other types this value will be ignored.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(java.lang.String,java.lang.Object, int)`

  - ### updateObject

    void updateObject(String columnLabel, Object x) throws SQLException, RemoteException
    Updates the designated column with an `Object` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateObject(java.lang.String,java.lang.Object)`

  - ### insertRow

    void insertRow() throws SQLException, RemoteException
    Inserts the contents of the insert row into this `ResultSet` object and into the database. The cursor must be on the insert row when this method is called.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.insertRow()`

  - ### updateRow

    void updateRow() throws SQLException, RemoteException
    Updates the underlying database with the new contents of the current row of this `ResultSet` object. This method cannot be called when the cursor is on the insert row.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateRow()`

  - ### deleteRow

    void deleteRow() throws SQLException, RemoteException
    Deletes the current row from this `ResultSet` object and from the underlying database. This method cannot be called when the cursor is on the insert row.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.deleteRow()`

  - ### refreshRow

    void refreshRow() throws SQLException, RemoteException
    Refreshes the current row with its most recent value in the database. This method cannot be called when the cursor is on the insert row.

    The `refreshRow` method provides a way for an application to explicitly tell the JDBC driver to refetch a row(s) from the database. An application may want to call `refreshRow` when caching or prefetching is being done by the JDBC driver to fetch the latest value of a row from the database. The JDBC driver may actually refresh multiple rows at once if the fetch size is greater than one.

    All values are refetched subject to the transaction isolation level and cursor sensitivity. If `refreshRow` is called after calling an `updateXXX` method, but before calling the method `updateRow`, then the updates made to the row are lost. Calling the method `refreshRow` frequently will likely slow performance.

    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.refreshRow()`

  - ### cancelRowUpdates

    void cancelRowUpdates() throws SQLException, RemoteException
    Cancels the updates made to the current row in this `ResultSet` object. This method may be called after calling an `updateXXX` method(s) and before calling the method `updateRow` to roll back the updates made to a row. If no updates have been made or `updateRow` has already been called, this method has no effect.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.cancelRowUpdates()`

  - ### moveToInsertRow

    void moveToInsertRow() throws SQLException, RemoteException
    Moves the cursor to the insert row. The current cursor position is remembered while the cursor is positioned on the insert row. The insert row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the `updateXXX` methods prior to inserting the row into the result set. Only the `updateXXX`, `getXXX`, and `insertRow` methods may be called when the cursor is on the insert row. All of the columns in a result set must be given a value each time this method is called before calling `insertRow`. An `updateXXX` method must be called before a `getXXX` method can be called on a column value.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.moveToInsertRow()`

  - ### moveToCurrentRow

    void moveToCurrentRow() throws SQLException, RemoteException
    Moves the cursor to the remembered cursor position, usually the current row. This method has no effect if the cursor is not on the insert row.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.moveToCurrentRow()`

  - ### getStatement

    Statement getStatement() throws SQLException, RemoteException
    Returns the `Statement` object that produced this `ResultSet` object. If the result set was generated some other way, such as by a `DatabaseMetaData` method, this method returns `null`.
    Returns:
      the `Statement` object that produce this `ResultSet` object or `null` if the result set was produced some other way
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getStatement()`

  - ### getRef

    Ref getRef(int i) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Ref` object representing an SQL `REF` value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRef(int)`

  - ### getBlob

    Blob getBlob(int i) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Blob` object representing an SQL `BLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBlob(int)`

  - ### getClob

    Clob getClob(int i) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      a `Clob` object representing an SQL `CLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getClob(int)`

  - ### getArray

    Array getArray(int i) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
    Parameters:
      `i` - the first column is 1, the second is 2, ...
    Returns:
      an `Array` object representing the SQL `ARRAY` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getArray(int)`

  - ### getRef

    Ref getRef(String colName) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Ref` object in the Java programming language.
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Ref` object representing the SQL `REF` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getRef(java.lang.String)`

  - ### getBlob

    Blob getBlob(String colName) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Blob` object in the Java programming language.
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Blob` object representing the SQL `BLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getBlob(java.lang.String)`

  - ### getClob

    Clob getClob(String colName) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      a `Clob` object representing the SQL `CLOB` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getClob(java.lang.String)`

  - ### getArray

    Array getArray(String colName) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
    Parameters:
      `colName` - the name of the column from which to retrieve the value
    Returns:
      an `Array` object representing the SQL `ARRAY` value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getArray(java.lang.String)`

  - ### getDate

    Date getDate(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the date if the underlying database does not store timezone information.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the date
    Returns:
      the column value as a `java.sql.Date` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(int, java.util.Calendar)`

  - ### getDate

    Date getDate(String columnLabel, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the date if the underlying database does not store timezone information.
    Parameters:
      `columnLabel` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the date
    Returns:
      the column value as a `java.sql.Date` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getDate(java.lang.String, java.util.Calendar)`

  - ### getTime

    Time getTime(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the time if the underlying database does not store timezone information.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the time
    Returns:
      the column value as a `java.sql.Time` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(int, java.util.Calendar)`

  - ### getTime

    Time getTime(String columnLabel, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Time` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the time if the underlying database does not store timezone information.
    Parameters:
      `columnLabel` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the time
    Returns:
      the column value as a `java.sql.Time` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTime(java.lang.String, java.util.Calendar)`

  - ### getTimestamp

    Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ..
      `cal` - the `java.util.Calendar` object to use in constructing the timestamp
    Returns:
      the column value as a `java.sql.Timestamp` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(int, java.util.Calendar)`

  - ### getTimestamp

    Timestamp getTimestamp(String columnLabel, Calendar cal) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Timestamp` object in the Java programming language. This method uses the given calendar to construct an appropriate millisecond value for the timestamp if the underlying database does not store timezone information.
    Parameters:
      `columnLabel` - the SQL name of the column from which to retrieve the value
      `cal` - the `java.util.Calendar` object to use in constructing the timestamp
    Returns:
      the column value as a `java.sql.Timestamp` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getTimestamp(java.lang.String, java.util.Calendar)`

  - ### getURL

    URL getURL(int columnIndex) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value as a `java.net.URL` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getURL(int)`

  - ### getURL

    URL getURL(String columnLabel) throws SQLException, RemoteException
    Returns the value of the designated column in the current row of this `ResultSet` object as a `java.net.URL` object in the Java programming language.
    Parameters:
      `columnLabel` - the SQL name of the column
    Returns:
      the column value as a `java.net.URL` object; if the value is SQL `NULL`, the value returned is `null` in the Java programming language
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.getURL(String)`

  - ### updateRef

    void updateRef(int columnIndex, Ref x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Ref` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateRef(int, java.sql.Ref)`

  - ### updateRef

    void updateRef(String columnLabel, Ref x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Ref` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateRef(java.lang.String, java.sql.Ref)`

  - ### updateBlob

    void updateBlob(int columnIndex, Blob x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Blob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBlob(int, java.sql.Blob)`

  - ### updateBlob

    void updateBlob(String columnLabel, Blob x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Blob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateBlob(java.lang.String, java.sql.Blob)`

  - ### updateClob

    void updateClob(int columnIndex, Clob x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Clob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateClob(int, java.sql.Clob)`

  - ### updateClob

    void updateClob(String columnLabel, Clob x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Clob` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateClob(java.lang.String, java.sql.Clob)`

  - ### updateArray

    void updateArray(int columnIndex, Array x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Array` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateArray(int, java.sql.Array)`

  - ### updateArray

    void updateArray(String columnLabel, Array x) throws SQLException, RemoteException
    Updates the designated column with a `java.sql.Array` value. The `updateXXX` methods are used to update column values in the current row or the insert row. The `updateXXX` methods do not update the underlying database; instead the `updateRow` or `insertRow` methods are called to update the database.
    Parameters:
      `columnLabel` - the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.
    See Also:
      - `ResultSet.updateArray(java.lang.String, java.sql.Array)`

  - ### getHoldability

    int getHoldability() throws SQLException, RemoteException
    Retrieves the holdability of this ResultSet object .
    Returns:
      either ResultSet.HOLD_CURSORS_OVER_COMMIT or ResultSet.CLOSE_CURSORS_AT_COMMIT
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNCharacterStream

    Reader getNCharacterStream(int columnIndex) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL NULL, the value returned is null in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNCharacterStream

    Reader getNCharacterStream(String columnLabel) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Parameters:
      `columnLabel` -
    Returns:
      a `java.io.Reader` object that contains the column value; if the value is SQL NULL, the value returned is null in the Java programming language.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNClob

    NClob getNClob(int columnIndex) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      a NClob object representing the SQL NCLOB value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNClob

    NClob getNClob(String columnLabel) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a NClob object in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a NClob object representing the SQL NCLOB value in the specified column
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNString

    String getNString(int columnIndex) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is SQL NULL, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getNString

    String getNString(String columnLabel) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language. It is intended for use when accessing NCHAR,NVARCHAR and LONGNVARCHAR columns.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is SQL NULL, the value returned is `null`.
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getObject

    Object getObject(int columnIndex, Map<String,Class<?>> map) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language. If the value is an SQL NULL, the driver returns a Java null. This method uses the given Map object for the custom mapping of the SQL structured or distinct type that is being retrieved.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `map` - a `java.util.Map` object that contains the mapping from SQL type names to classes in the Java programming language
    Returns:
      an Object in the Java programming language representing the SQL value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getObject

    Object getObject(String columnLabel, Map<String,Class<?>> map) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language. If the value is an SQL NULL, the driver returns a Java null. This method uses the given Map object for the custom mapping of the SQL structured or distinct type that is being retrieved.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `map` - a `java.util.Map` object that contains the mapping from SQL type names to classes in the Java programming language
    Returns:
      an Object in the Java programming language representing the SQL value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getRowId

    RowId getRowId(int columnIndex) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      the column value; if the value is a SQL NULL the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getRowId

    RowId getRowId(String columnLabel) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet object as a `java.sql.RowId` object in the Java programming language.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      the column value; if the value is a SQL NULL the value returned is `null`
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getSQLXML

    SQLXML getSQLXML(int columnIndex) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
    Returns:
      a SQLXML object that maps an SQL XML value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### getSQLXML

    SQLXML getSQLXML(String columnLabel) throws SQLException, RemoteException
    Retrieves the value of the designated column in the current row of this ResultSet as a java.sql.SQLXML object in the Java programming language
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
    Returns:
      a SQLXML object that maps an SQL XML value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### isClosed

    boolean isClosed() throws SQLException, RemoteException
    Retrieves whether this ResultSet object has been closed. A ResultSet is closed if the method close has been called on it, or if it is automatically closed.
    Returns:
      true if this ResultSet object is closed; false if it is still open
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateAsciiStream

    void updateAsciiStream(int columnIndex, InputStream x) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateAsciiStream

    void updateAsciiStream(String columnLabel, InputStream x) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateAsciiStream

    void updateAsciiStream(int columnIndex, InputStream x, long length) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateAsciiStream

    void updateAsciiStream(String columnLabel, InputStream x, long length) throws SQLException, RemoteException
    Updates the designated column with an ascii stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBinaryStream

    void updateBinaryStream(int columnIndex, InputStream x) throws SQLException, RemoteException
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBinaryStream

    void updateBinaryStream(String columnLabel, InputStream x) throws SQLException, RemoteException
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBinaryStream

    void updateBinaryStream(int columnIndex, InputStream x, long length) throws SQLException, RemoteException
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBinaryStream

    void updateBinaryStream(String columnLabel, InputStream x, long length) throws SQLException, RemoteException
    Updates the designated column with a binary stream value, which will have the specified number of bytes. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBlob

    void updateBlob(int columnIndex, InputStream inputStream) throws SQLException, RemoteException
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `inputStream` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBlob

    void updateBlob(String columnLabel, InputStream inputStream) throws SQLException, RemoteException
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `inputStream` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBlob

    void updateBlob(int columnIndex, InputStream inputStream, long length) throws SQLException, RemoteException
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `inputStream` - An object that contains the data to set the parameter value to
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateBlob

    void updateBlob(String columnLabel, InputStream inputStream, long length) throws SQLException, RemoteException
    Updates the designated column with a java.sql.Blob value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `inputStream` - An object that contains the data to set the parameter value to
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateCharacterStream

    void updateCharacterStream(int columnIndex, Reader x) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the `java.io.Reader` object containing the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateCharacterStream

    void updateCharacterStream(String columnLabel, Reader reader) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the `java.io.Reader` object containing the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateCharacterStream

    void updateCharacterStream(int columnIndex, Reader x, long length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the `java.io.Reader` object containing the new column value
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateCharacterStream

    void updateCharacterStream(String columnLabel, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `length` - the length of the characters in the parameter data
      `x` - the `java.io.Reader` object containing the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateClob

    void updateClob(int columnIndex, Reader reader) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateClob

    void updateClob(String columnLabel, Reader reader) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateClob

    void updateClob(int columnIndex, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateClob

    void updateClob(String columnLabel, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` -
      `length` - the length of the characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNCharacterStream

    void updateNCharacterStream(int columnIndex, Reader x) throws SQLException, RemoteException
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNCharacterStream

    void updateNCharacterStream(String columnLabel, Reader reader) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - the new column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNCharacterStream

    void updateNCharacterStream(int columnIndex, Reader x, long length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNCharacterStream

    void updateNCharacterStream(String columnLabel, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column with a character stream value. The data will be read from the stream as needed until end-of-stream is reached. The driver does the necessary conversion from Java character format to the national character set in the database. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - the new column value
      `length` - the length of the stream
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(int columnIndex, NClob clob) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `clob` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(String columnLabel, NClob clob) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `clob` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(int columnIndex, Reader reader) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(String columnLabel, Reader reader) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(int columnIndex, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `reader` - An object that contains the data to set the parameter value to
      `length` - the number of characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNClob

    void updateNClob(String columnLabel, Reader reader, long length) throws SQLException, RemoteException
    Updates the designated column using the given Reader object. The data will be read from the stream as needed until end-of-stream is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `reader` - An object that contains the data to set the parameter value to
      `length` - the number of characters in the parameter data
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNString

    void updateNString(int columnIndex, String string) throws SQLException, RemoteException
    Updates the designated column with a String value. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `string` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateNString

    void updateNString(String columnLabel, String string) throws SQLException, RemoteException
    Updates the designated column with a String value. It is intended for use when updating NCHAR,NVARCHAR and LONGNVARCHAR columns. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `string` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateRowId

    void updateRowId(int columnIndex, RowId x) throws SQLException, RemoteException
    Updates the designated column with a RowId value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `x` - the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateRowId

    void updateRowId(String columnLabel, RowId x) throws SQLException, RemoteException
    Updates the designated column with a RowId value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `x` - the column value
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateSQLXML

    void updateSQLXML(int columnIndex, SQLXML xmlObject) throws SQLException, RemoteException
    Updates the designated column with a java.sql.SQLXML value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnIndex` - the first column is 1, the second is 2, ...
      `xmlObject` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### updateSQLXML

    void updateSQLXML(String columnLabel, SQLXML xmlObject) throws SQLException, RemoteException
    Updates the designated column with a java.sql.SQLXML value. The updater methods are used to update column values in the current row or the insert row. The updater methods do not update the underlying database; instead the updateRow or insertRow methods are called to update the database.
    Parameters:
      `columnLabel` - the label for the column specified with the SQL AS clause. If the SQL AS clause was not specified, then the label is the name of the column
      `xmlObject` - the value for the column to be updated
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### isWrapperFor

    boolean isWrapperFor(Class<?> iface) throws SQLException, RemoteException
    Returns true if this either implements the interface argument or is directly or indirectly a wrapper for an object that does. Returns false otherwise. If this implements the interface then return true, else if this is a wrapper then return the result of recursively calling isWrapperFor on the wrapped object. If this does not implement the interface and is not a wrapper, return false. This method should be implemented as a low-cost operation compared to unwrap so that callers can use this method to avoid expensive unwrap calls that may fail. If this method returns true then calling unwrap with the same argument should succeed.
    Parameters:
      `iface` - a Class defining an interface
    Returns:
      true if this implements the interface directly or indirectly wraps an object that does
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.

  - ### unwrap

    <T> T unwrap(Class<T> iface) throws SQLException, RemoteException
    Returns an object that implements the given interface to allow access to non-standard methods, or standard methods not exposed by the proxy. If the receiver implements the interface then the result is the receiver or a proxy for the receiver. If the receiver is a wrapper and the wrapped object implements the interface then the result is the wrapped object or a proxy for the wrapped object. Otherwise return the the result of calling unwrap recursively on the wrapped object or a proxy for that result. If the receiver is not a wrapper and does not implement the interface, then an SQLException is thrown.
    Parameters:
      `iface` - A Class defining an interface that the result must implement
    Returns:
      an object that implements the interface. May be a proxy for the actual implementing object
    Throws:
      `SQLException` - If an error occurs.
      `RemoteException` - if a network I/O error occurs.